<Type Name="PerformanceCounterCategory" FullName="System.Diagnostics.PerformanceCounterCategory">
  <TypeSignature Language="C#" Value="public sealed class PerformanceCounterCategory" Maintainer="auto" />
  <AssemblyInfo>
    <AssemblyName>System</AssemblyName>
    <AssemblyPublicKey>[00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00]</AssemblyPublicKey>
    <AssemblyVersion>1.0.3300.0</AssemblyVersion>
    <AssemblyCulture>neutral</AssemblyCulture>
    <Attributes>
      <Attribute>
        <AttributeName>System.Resources.NeutralResourcesLanguageAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Resources.SatelliteContractVersionAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.CLSCompliantAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Runtime.InteropServices.ComVisibleAttribute</AttributeName>
      </Attribute>
      <Attribute>
        <AttributeName>System.Security.AllowPartiallyTrustedCallersAttribute</AttributeName>
      </Attribute>
    </Attributes>
  </AssemblyInfo>
  <ThreadSafetyStatement>Gtk# is thread aware, but not thread safe; See the &lt;link location="node:gtk-sharp/programming/threads"&gt;Gtk# Thread Programming&lt;/link&gt; for details.</ThreadSafetyStatement>
  <Docs>
    <summary>To be added</summary>
    <remarks>To be added</remarks>
  </Docs>
  <Base>
    <BaseTypeName>System.Object</BaseTypeName>
  </Base>
  <Interfaces />
  <Attributes />
  <Members>
    <Member MemberName="CounterExists">
      <MemberSignature Language="C#" Value="public static bool CounterExists (string counterName, string categoryName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="counterName" Type="System.String" />
		<Parameter Name="categoryName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="counterName">To be added: an object of type 'string'</param>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CounterExists">
      <MemberSignature Language="C#" Value="public static bool CounterExists (string counterName, string categoryName, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="counterName" Type="System.String" />
		<Parameter Name="categoryName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="counterName">To be added: an object of type 'string'</param>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Create">
      <MemberSignature Language="C#" Value="public static PerformanceCounterCategory Create (string categoryName, string categoryHelp, CounterCreationDataCollection counterData);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounterCategory</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
		<Parameter Name="categoryHelp" Type="System.String" />
		<Parameter Name="counterData" Type="System.Diagnostics.CounterCreationDataCollection" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <param name="categoryHelp">To be added: an object of type 'string'</param>
        <param name="counterData">To be added: an object of type 'CounterCreationDataCollection'</param>
        <returns>To be added: an object of type 'PerformanceCounterCategory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Create">
      <MemberSignature Language="C#" Value="public static PerformanceCounterCategory Create (string categoryName, string categoryHelp, string counterName, string counterHelp);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounterCategory</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
		<Parameter Name="categoryHelp" Type="System.String" />
		<Parameter Name="counterName" Type="System.String" />
		<Parameter Name="counterHelp" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <param name="categoryHelp">To be added: an object of type 'string'</param>
        <param name="counterName">To be added: an object of type 'string'</param>
        <param name="counterHelp">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'PerformanceCounterCategory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Delete">
      <MemberSignature Language="C#" Value="public static void Delete (string categoryName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Void</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Exists">
      <MemberSignature Language="C#" Value="public static bool Exists (string categoryName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="Exists">
      <MemberSignature Language="C#" Value="public static bool Exists (string categoryName, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCategories">
      <MemberSignature Language="C#" Value="public static PerformanceCounterCategory [] GetCategories ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounterCategory[]</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'PerformanceCounterCategory []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCategories">
      <MemberSignature Language="C#" Value="public static PerformanceCounterCategory [] GetCategories (string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounterCategory[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'PerformanceCounterCategory []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="InstanceExists">
      <MemberSignature Language="C#" Value="public static bool InstanceExists (string instanceName, string categoryName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="instanceName" Type="System.String" />
		<Parameter Name="categoryName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="instanceName">To be added: an object of type 'string'</param>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="InstanceExists">
      <MemberSignature Language="C#" Value="public static bool InstanceExists (string instanceName, string categoryName, string machineName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="instanceName" Type="System.String" />
		<Parameter Name="categoryName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="instanceName">To be added: an object of type 'string'</param>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CounterExists">
      <MemberSignature Language="C#" Value="public bool CounterExists (string counterName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="counterName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="counterName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCounters">
      <MemberSignature Language="C#" Value="public PerformanceCounter [] GetCounters ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounter[]</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'PerformanceCounter []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetCounters">
      <MemberSignature Language="C#" Value="public PerformanceCounter [] GetCounters (string instanceName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.PerformanceCounter[]</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="instanceName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="instanceName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'PerformanceCounter []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="GetInstanceNames">
      <MemberSignature Language="C#" Value="public string [] GetInstanceNames ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.String[]</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string []'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="InstanceExists">
      <MemberSignature Language="C#" Value="public bool InstanceExists (string instanceName);" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Boolean</ReturnType>
      </ReturnValue>
      <Parameters>
		<Parameter Name="instanceName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="instanceName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'bool'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="ReadCategory">
      <MemberSignature Language="C#" Value="public InstanceDataCollectionCollection ReadCategory ();" />
      <MemberType>Method</MemberType>
      <ReturnValue>
        <ReturnType>System.Diagnostics.InstanceDataCollectionCollection</ReturnType>
      </ReturnValue>
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'InstanceDataCollectionCollection'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public PerformanceCounterCategory ();" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters />
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'PerformanceCounterCategory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public PerformanceCounterCategory (string categoryName);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'PerformanceCounterCategory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName=".ctor">
      <MemberSignature Language="C#" Value="public PerformanceCounterCategory (string categoryName, string machineName);" />
      <MemberType>Constructor</MemberType>
      <ReturnValue />
      <Parameters>
		<Parameter Name="categoryName" Type="System.String" />
		<Parameter Name="machineName" Type="System.String" />
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="categoryName">To be added: an object of type 'string'</param>
        <param name="machineName">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'PerformanceCounterCategory'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CategoryName">
      <MemberSignature Language="C#" Value="public string CategoryName { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="CategoryHelp">
      <MemberSignature Language="C#" Value="public string CategoryHelp { get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Docs>
        <summary>To be added</summary>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
    <Member MemberName="MachineName">
      <MemberSignature Language="C#" Value="public string MachineName { set; get; };" />
      <MemberType>Property</MemberType>
      <ReturnValue>
        <ReturnType>System.String</ReturnType>
      </ReturnValue>
      <Parameters>
	</Parameters>
      <Docs>
        <summary>To be added</summary>
        <param name="value">To be added: an object of type 'string'</param>
        <returns>To be added: an object of type 'string'</returns>
        <remarks>To be added</remarks>
      </Docs>
    </Member>
  </Members>
</Type>
